SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000446: Two uplinks exist; Primary uplink doesn't exist in Network->Interfaces; Secondary uplink listed twice - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000446Endian FirewallNetwork related (VPN, uplinks)public2008-01-10 21:282008-02-02 07:28
Reportern9xcr 
Assigned Tosimon-endian 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-beta2 
Target VersionFixed in Version2.2-beta3 
Summary0000446: Two uplinks exist; Primary uplink doesn't exist in Network->Interfaces; Secondary uplink listed twice
DescriptionMachine running Endian has two uplinks. Both are listed under System->Home. Primary uplink isn't listed under Network->Interfaces, but secondary uplink is listed twice.
TagsNo tags attached.
Attached Filesjpg file icon Endian Network.JPG [^] (172,608 bytes) 2008-01-10 21:28

- Relationships

-  Notes
(0000775)
n9xcr (reporter)
2008-01-10 23:06

Upon installation of this version and asked if I wanted to restore a backup, I restored the backup configuration of 2.1.2. I forgot to mention this in my original submission, but thought it might be related.
(0000781)
peter-endian (administrator)
2008-01-11 11:32

can you please send me /var/efw/uplinks/main/settings and /var/efw/uplinks/uplink1/settings?

anonymize it or set the note private if you have passowrds into it.
i think this is a migration problem from the 2.1.x backup.
(0000783)
n9xcr (reporter)
2008-01-11 13:18

Hi Peter,

I performed a fresh installation this morning without restoring the backup. The problem did not re-occur.

The following are the files you requested.

/var/efw/uplinks/Comcast1/settings
BACKUPPROFILE=
DEFAULT_GATEWAY=10.1.20.1
DNS1=208.67.222.222
DNS2=68.87.72.130
ENABLED=on
MAC=
MTU=
RED_ADDRESS=10.1.20.200
RED_BROADCAST=10.1.20.255
RED_CIDR=24
RED_DEV=eth1
RED_NETADDRESS=10.1.20.0
RED_NETMASK=255.255.255.0
RED_TYPE=STATIC
RTABLE=200
TRACE_HOSTS=64.94.110.11
TRACE_MIN_HOP=2

/var/efw/uplinks/Comcast2/settings
BACKUPPROFILE=
DEFAULT_GATEWAY=10.1.10.1
DNS1=208.67.222.222
DNS2=68.87.72.130
ENABLED=on
MAC=
MTU=
RED_ADDRESS=10.1.10.200
RED_BROADCAST=10.1.10.255
RED_CIDR=24
RED_DEV=eth2
RED_NETADDRESS=10.1.10.0
RED_NETMASK=255.255.255.0
RED_TYPE=STATIC
RTABLE=201
TRACE_HOSTS=64.94.110.11
TRACE_MIN_HOP=2
(0000817)
peter-endian (administrator)
2008-01-14 12:00

workaround: rename one of the 2 comcast directories to "main", that should work
but, this is a bug

If you have a directory called xxxx1 and another with xxxx2, with settings files into it, which do not have NAME variables, they appear *both* as ID xxxx1.
(0000833)
simon-endian (developer)
2008-01-21 18:11

if uplink did not have an NAME attribute in settings name was empty
when this occured in more than one uplink the first uplink was listed more than one time

now NAME gets to ID: <uplinkid> if NAME is empty

- Issue History
Date Modified Username Field Change
2008-01-10 21:28 n9xcr New Issue
2008-01-10 21:28 n9xcr Status new => assigned
2008-01-10 21:28 n9xcr Assigned To => peter-endian
2008-01-10 21:28 n9xcr File Added: Endian Network.JPG
2008-01-10 23:06 n9xcr Note Added: 0000775
2008-01-11 11:32 peter-endian Note Added: 0000781
2008-01-11 11:32 peter-endian Status assigned => feedback
2008-01-11 13:18 n9xcr Note Added: 0000783
2008-01-14 12:00 peter-endian Note Added: 0000817
2008-01-14 12:00 peter-endian Assigned To peter-endian => simon-endian
2008-01-14 12:00 peter-endian Status feedback => confirmed
2008-01-21 18:11 simon-endian Status confirmed => resolved
2008-01-21 18:11 simon-endian Fixed in Version => 2.2-beta3
2008-01-21 18:11 simon-endian Resolution open => fixed
2008-01-21 18:11 simon-endian Note Added: 0000833
2008-02-02 07:28 raphael-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker